---
inputType: "CA10__CaAwsRedshiftCluster__c"
importExtracts:
  - file: "/types/CA10__CaAwsRedshiftCluster__c/object.extracts.yaml"
testData:
  - file: "test-data.json"
conditions:
  - status: "INAPPLICABLE"
    currentStateMessage: "The Cluster is not available."
    check:
      NOT_EQUAL:
        left:
          EXTRACT: "CA10__status__c"
        right:
          TEXT: "available"
  - status: "INCOMPLIANT"
    currentStateMessage: "The Redshift Cluster Audit Logging is not enabled."
    remediationMessage: "Consider enabling Audit Logging for the Cluster."
    check:
      NOT_EQUAL:
        left:
          EXTRACT: "CA10__logging__c"
        right:
          TEXT: "Enabled"
otherwise:
  status: "COMPLIANT"
  currentStateMessage: "The Redshift Cluster Audit Logging is enabled."